/* global registerBackward */

(function () {
    'use strict';

    function doSearchFormBackward(control) {
        control.icon.passive.css = control.icon.passive.css || {};
        control.icon.passive.css['padding-left'] = control.icon.passive.css['padding-left'] || '5px';
        control.icon.passive.css['padding-right'] = control.icon.passive.css['padding-right'] || '5px';
    }

    registerBackward('1.5.7', 'Search', function (control) {
        doSearchFormBackward(control.search);
        return control;
    });

    registerBackward('1.5.7', 'SearchWidget', function (control) {
        doSearchFormBackward(control.search);
        return control;
    });

})();